# QXmlStreamAttribute Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QXmlStreamAttribute()
- void QXmlStreamAttribute(String namespaceUri, String name, String value)
- void QXmlStreamAttribute(String qualifiedName, String value)
- void QXmlStreamAttribute(QXmlStreamAttribute arg__1)

### Constructor Properties

- prototype: The QXmlStreamAttribute prototype object

### Prototype Object Properties

- bool isDefault()
- String name()
- String namespaceUri()
- bool operator_equal(QXmlStreamAttribute other)
- String prefix()
- String qualifiedName()
- String value()

### Instance Properties

QXmlStreamAttribute objects have no special properties beyond those inherited from the QXmlStreamAttribute prototype object.